local ScenarioUtils = import('/lua/sim/ScenarioUtilities.lua') ;
local ScenarioFramework = import('/lua/ScenarioFramework.lua');
local Utilities = import('/lua/utilities.lua');
local Weather = import('/lua/weather.lua');

function ScenarioUtils.CreateResources()  
   local markers = ScenarioUtils.GetMarkers(); 
   for i, tblData in pairs(markers) do  
      local doit = false; 
      if (tblData.resource and not tblData.SpawnWithArmy) then  
         doit = true; 
      elseif (tblData.resource and tblData.SpawnWithArmy) then 
         for j, army in ListArmies() do 
            if (tblData.SpawnWithArmy == army) then 
               doit = true;
               break; 
            end 
         end 
      end 
       
      if (doit) then  
         local bp, albedo, sx, sz, lod; 
         if tblData.type == "Mass" then 
            albedo = "/env/common/splats/mass_marker.dds"; 
            bp = "/env/common/props/massDeposit01_prop.bp"; 
            sx = 2; 
            sz = 2; 
            lod = 500; 
         else 
            albedo = "/env/common/splats/hydrocarbon_marker.dds"; 
            bp = "/env/common/props/hydrocarbonDeposit01_prop.bp"; 
            sx = 6; 
            sz = 6; 
            lod = 1500; 
         end
         CreateResourceDeposit(tblData.type,   tblData.position[1], tblData.position[2], tblData.position[3], tblData.size); 
         CreatePropHPR(bp, tblData.position[1], tblData.position[2], tblData.position[3], Random(0,360), 0, 0);  
         CreateSplat( 
            tblData.position,
            0,
            albedo,
            sx, sz,
            lod,
            0,
            -1,
            0
         ); 
      end 
   end 
end 

function OnPopulate()
   Weather.CreateWeather() 
   ScenarioUtils.InitializeArmies()
end

function OnStart(self) 

end